List webhook events
curl --request GET \
--url https://api.yara.cash/v1/webhook-events \
--header 'X-Yara-API-Key: <api-key>'import requests
url = "https://api.yara.cash/v1/webhook-events"
headers = {"X-Yara-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Yara-API-Key': '<api-key>'}};
fetch('https://api.yara.cash/v1/webhook-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2026-08-03T12:05:00Z",
"event_type": "customer.verification.approved",
"id": "d723cab9-1ad4-4d4d-821f-6704d834d575",
"payload": {},
"resource_id": "945eb980-3420-4454-9784-ebb0050f3393",
"resource_type": "customer_verification_submission",
"status": "DISPATCHED"
}
],
"meta": {
"limit": 50,
"page": 1,
"total": 42,
"total_pages": 1
}
}{
"error": {
"code": "validation_error",
"message": "invalid JSON body"
}
}Webhooks
List webhook events
Lists outbound webhook events and delivery status history for the authenticated merchant.
GET
/
v1
/
webhook-events
List webhook events
Authorizations
Public merchant API key. You can also send Authorization: ApiKey .
Query Parameters
Number of results per page (default: 50, max: 200)
Required range:
1 <= x <= 200Page number (default: 1)
Required range:
x >= 1⌘I